/*
  le bouton poussoir est connecté au pin 2 pour un mode INPUT_PULLUP
  la Led est connectée au pins 9 avec une résistance de 220Ω
*/

//déclaration des variables
#define BROCHE_BOUTON  2
#define BROCHE_LED    9

boolean etatAllumage;
boolean etatPinBouton;

void setup()
{
  //initialisation des variables
  Serial.begin(9600);
 
  etatAllumage = 0;
  //définition des modes
  pinMode(BROCHE_BOUTON, INPUT_PULLUP);
  pinMode(BROCHE_LED, OUTPUT);
}
void loop()
{
  Serial.print(etatAllumage);

  if (etatAllumage == 1) //on teste si etatAllumage est à 1
  {
    digitalWrite(BROCHE_LED, HIGH);//on allume la LED
  }
  else //sinon
  {
    digitalWrite(BROCHE_LED, LOW); //on éteint la LED
  }
  //lecture de l'état du bouton et stockage dans etatBouton
  etatPinBouton = digitalRead(BROCHE_BOUTON);
  Serial.println(etatPinBouton);
  //test des conditions
  if (etatPinBouton != 1) //si bouton appuyé (donc le pin indique 0 car il est en mode INPUT_PULLUP)
  {
    if (etatAllumage == 1) //si etatAllumage à 1
    {
      etatAllumage = 0; //on le passe à 0
    }
    else //sinon
    {
      etatAllumage = 1; //on le passe à 1
    }
  }
  delay(200);
}
