/* Sweep
 by BARRAGAN <http://barraganstudio.com>
 This example code is in the public domain.

 modified 8 Nov 2013
 by Scott Fitzgerald
 http://www.arduino.cc/en/Tutorial/Sweep
*/

#include <Servo.h>

Servo myservo;  // create servo object to control a servo. Créer un objet servi pour contrôler un servo moteur
// twelve servo objects can be created on most boards

int pos = 0;    // variable pour stocker la position du servo

void setup() {
  myservo.attach(9);  // attache le servo sur le pin 9
}

void loop() {
  //Tant que pos=0 et qu'il est inférieur à 180 ajoute 1 à sa valeur
  for (pos = 0; pos <= 180; pos += 1) { // va de  0 degrés à 180 degrés
    // in steps of 1 degree
    myservo.write(pos);              // dit au servo d'aler à la position de la variable 'pos'
    delay(15);                       // attends 15ms for the servo to reach the position
  }
  
  for (pos = 180; pos >= 0; pos -= 1) { // va de  180 degrés à 0 degrés
    myservo.write(pos);              // dit au servo d'aller à la position de la variable 'pos'
    delay(15);                       // attends 15ms for the servo to reach the position
  }
}

